;+
;PROCEDURE: set_com_hk
;PURPOSE: Set up common variables for PLASTIC data analysis.
;    
;
;INPUT
;PARAMETERS:   none
;
;CREATED BY: L. Ellis
;
;LAST MODIFICATION: 09/20/2006
;
;MODIFICATION HISTORY:
;    09/20/2006 Created
;	November 2006 modified by K. Simunac for housekeeping data
;-
PRO set_com_hk
COMMON share1_hk, epoch1_a, epoch1_b, epoch5_a, epoch5_b, $
	data1_index_a, data1_index_b, data5_index_a, data5_index_b
; epoch1/5_a/b[time]
; data1/5_index_a/b -- array of pairs (start index into epoch array for
;                    valid data), (num valid data elements from that
;                    start index)
COMMON com_hk, lrnm_spare_a, lvc_neg12v_a, lvc_neg5v_a, esa_vm_pos_a, dfl_1_vm_a, dfl_1_tap_a, dfl_2_vm_a, dfl_2_tap_a, $
	lvc_pos2point5v_b_a, pac_cm_dc_a, lvc_pos12v_a, lrpm_spare_a, lvc_pos2point5v_a_a, lvc_pos5v_a, $
	adc_avdd_a, adc_dvdd_a, pac_vm_a, cal_vref_a, pac_cm_ac_a, mcp_vm_a, mcp_cm_dc_a, mcp_cm_ac_a, $
	ssd_cm_dc_a, s_ch_vm_a, s_ch_vm_tap_a, s_ch_cm_dc_a, esa_vm_neg_a, esa_cm_dc_a, dfl_1_cm_dc_a, $
	dfl_2_cm_dc_a, lvc_pos2point5v_b_imon_a, lvc_pos12v_imon_a, lvc_neg12v_imon_a, lvc_pos5v_imon_a, $
	lvc_neg5v_imon_a, lvc_pos2point5v_a_imon_a, ssd_vm_a, adc_lu_flag_a, plug_id_a, adc_lu_ctr_a, $
	dac_status_a, adc0_agnd_a, adc1_agnd_a, ra_e0_a, ra_e1_a, tac0_tsp_a, tac2_tsp_a, sb0_tsp_a, $
	sb1_tsp_a, tof_hv0_tsp_a, tof_hv1_tsp_a, s_c_0_tsp_a, s_c_1_tsp_a, lvc0_tsp_a, lvc1_tsp_a, $
	adc0_vref_a, adc1_vref_a, ssd_status_a, ssd_v_pos_analog_a, ssd_v_neg_analog_a, ssd_hv_bias_a, $
	ssd_tc0_a, ssd_tc1_a, ssd_tc2_a, ssd_v_pos_dig_a, $
	lrnm_spare_b, lvc_neg12v_b, lvc_neg5v_b, esa_vm_pos_b, dfl_1_vm_b, dfl_1_tap_b, dfl_2_vm_b, dfl_2_tap_b, $
	lvc_pos2point5v_b_b, pac_cm_dc_b, lvc_pos12v_b, lrpm_spare_b, lvc_pos2point5v_a_b, lvc_pos5v_b, $
	adc_avdd_b, adc_dvdd_b, pac_vm_b, cal_vref_b, pac_cm_ac_b, mcp_vm_b, mcp_cm_dc_b, mcp_cm_ac_b, $
	ssd_cm_dc_b, s_ch_vm_b, s_ch_vm_tap_b, s_ch_cm_dc_b, esa_vm_neg_b, esa_cm_dc_b, dfl_1_cm_dc_b, $
	dfl_2_cm_dc_b, lvc_pos2point5v_b_imon_b, lvc_pos12v_imon_b, lvc_neg12v_imon_b, lvc_pos5v_imon_b, $
	lvc_neg5v_imon_b, lvc_pos2point5v_a_imon_b, ssd_vm_b, adc_lu_flag_b, plug_id_b, adc_lu_ctr_b, $
	dac_status_b, adc0_agnd_b, adc1_agnd_b, ra_e0_b, ra_e1_b, tac0_tsp_b, tac2_tsp_b, sb0_tsp_b, $
	sb1_tsp_b, tof_hv0_tsp_b, tof_hv1_tsp_b, s_c_0_tsp_b, s_c_1_tsp_b, lvc0_tsp_b, lvc1_tsp_b, $
	adc0_vref_b, adc1_vref_b, ssd_status_b, ssd_v_pos_analog_b, ssd_v_neg_analog_b, ssd_hv_bias_b, $
	ssd_tc0_b, ssd_tc1_b, ssd_tc2_b, ssd_v_pos_dig_b

END 
