;+
;PROCEDURE: set_com_mon_full
;PURPOSE: Set up common variables for PLASTIC data analysis.
;    
;
;INPUT
;PARAMETERS:   none
;
;CREATED BY: L. Ellis
;
;LAST MODIFICATION: 09/20/2006
;
;MODIFICATION HISTORY:
;    09/20/2006 Created
;-
PRO set_com_mon_full
COMMON share1_mon_full, epoch1_a, epoch1_b, data1_index_a, data1_index_b
; epoch1/5_a/b[time]
; data1/5_index_a/b -- array of pairs (start index into epoch array for
;                    valid data), (num valid data elements from that
;                    start index)
COMMON com_mon_full, s_valid_a_full, s_e_not_req_a_full, s_e_req_a_full, s_no_pos_a_full, s_mult_pos_a_full, s_no_e_a_full, $
		s_mult_e_a_full, ra_sat_a_a_full, ra_sat_b_a_full, ra_sat_both_a_full, ssd_sw_a_full, ssd_st_a_full, $
		sf0_a_full, sfr0_a_full, stp0_a_full, ra_trig_a_full, pos1_0_a_full, pos1_1_a_full, $
		w_no_pos_a_full, w_mult_pos_a_full, w_valid_a_full, sf2_a_full, sfr2_a_full, stp2_a_full, pos2_0_a_full, $
		pos2_1_a_full, pos2_2_a_full, pos2_3_a_full, pos3_0_a_full, pos3_1_a_full, pos3_2_a_full, pos3_3_a_full, $
		stop0_a_full, start0_a_full, stop2_a_full, start2_a_full, pos2_a_full, pos3_a_full,$
		$
		s_valid_b_full, s_e_not_req_b_full, s_e_req_b_full, s_no_pos_b_full, s_mult_pos_b_full, s_no_e_b_full, $
		s_mult_e_b_full, ra_sat_a_b_full, ra_sat_b_b_full, ra_sat_both_b_full, ssd_sw_b_full, ssd_st_b_full, $
		sf0_b_full, sfr0_b_full, stp0_b_full, ra_trig_b_full, pos1_0_b_full, pos1_1_b_full, $
		w_no_pos_b_full, w_mult_pos_b_full, w_valid_b_full, sf2_b_full, sfr2_b_full, stp2_b_full, pos2_0_b_full, $
		pos2_1_b_full, pos2_2_b_full, pos2_3_b_full, pos3_0_b_full, pos3_1_b_full, pos3_2_b_full, pos3_3_b_full, $
		stop0_b_full, start0_b_full, stop2_b_full, start2_b_full, pos2_b_full, pos3_b_full,$
		$
		sum_defl_s_valid_a_full, sum_defl_s_e_not_req_a_full, sum_defl_s_e_req_a_full, $
		sum_defl_s_no_pos_a_full, sum_defl_s_mult_pos_a_full, sum_defl_s_no_e_a_full, sum_defl_s_mult_e_a_full, $
		sum_defl_ra_sat_a_a_full, sum_defl_ra_sat_b_a_full, sum_defl_ra_sat_both_a_full, $
		sum_defl_ssd_sw_a_full, sum_defl_ssd_st_a_full, sum_defl_sf0_a_full, $
		sum_defl_sfr0_a_full, sum_defl_stp0_a_full, sum_defl_ra_trig_a_full, sum_defl_pos1_0_a_full, $
		sum_defl_pos1_1_a_full, sum_defl_w_no_pos_a_full, sum_defl_w_mult_pos_a_full, $
		sum_defl_w_valid_a_full, sum_defl_sf2_a_full, sum_defl_sfr2_a_full, sum_defl_stp2_a_full, $
		sum_defl_pos2_0_a_full, sum_defl_pos2_1_a_full, sum_defl_pos2_2_a_full, sum_defl_pos2_3_a_full, $
		sum_defl_pos3_0_a_full, sum_defl_pos3_1_a_full, sum_defl_pos3_2_a_full, sum_defl_pos3_3_a_full, $
		sum_defl_stop0_a_full, sum_defl_start0_a_full, sum_defl_stop2_a_full, sum_defl_start2_a_full, $
		sum_defl_pos2_a_full, sum_defl_pos3_a_full,$
		$
		sum_defl_s_valid_b_full, sum_defl_s_e_not_req_b_full, sum_defl_s_e_req_b_full, $
		sum_defl_s_no_pos_b_full, sum_defl_s_mult_pos_b_full, sum_defl_s_no_e_b_full, sum_defl_s_mult_e_b_full, $
		sum_defl_ra_sat_a_b_full, sum_defl_ra_sat_b_b_full, sum_defl_ra_sat_both_b_full, $
		sum_defl_ssd_sw_b_full, sum_defl_ssd_st_b_full, sum_defl_sf0_b_full, sum_defl_sfr0_b_full, $
		sum_defl_stp0_b_full, sum_defl_ra_trig_b_full, sum_defl_pos1_0_b_full, sum_defl_pos1_1_b_full, $
		sum_defl_w_no_pos_b_full, sum_defl_w_mult_pos_b_full, sum_defl_w_valid_b_full, sum_defl_sf2_b_full, $
		sum_defl_sfr2_b_full, sum_defl_stp2_b_full, sum_defl_pos2_0_b_full, sum_defl_pos2_1_b_full, $
		sum_defl_pos2_2_b_full, sum_defl_pos2_3_b_full, sum_defl_pos3_0_b_full, sum_defl_pos3_1_b_full, $
		sum_defl_pos3_2_b_full, sum_defl_pos3_3_b_full, $
		sum_defl_stop0_b_full, sum_defl_start0_b_full, sum_defl_stop2_b_full, sum_defl_start2_b_full, $
		sum_defl_pos2_b_full, sum_defl_pos3_b_full,$
		$
		num_rows1, error1_a, error1_b


END 
